- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | Friends | List of all members
pdftron::Layout::List Class Reference

`#include <ContentTree.h>`

Inheritance diagram for pdftron::Layout::List:

## Public Types
enum | NumberFormat { e_none = 0, e_decimal, e_lower_roman, e_upper_roman, e_lower_letter, e_upper_letter, e_ordinal, e_ordinal_text, e_chinese_counting, e_chinese_counting_thousand, e_cardinal_text, e_decimal_zero }

## Public Member Functions
| ~List ()
void | SetNumberFormat (const NumberFormat format)
void | SetNumberFormat (const NumberFormat format, const UString &suffix, bool cascade)
TextStyledElement | GetLabelStyle ()
void | SetStartIndex (int idx)
ListItem | AddItem ()
void | ContinueList ()
int | GetIndentationLevel ()
int | GetListIdentifier ()
Public Member Functions inherited from pdftron::Layout::ContentNode
| ~ContentNode ()
void | Destroy ()
ContentNodeIterator | GetContentNodeIterator ()
Public Member Functions inherited from pdftron::Layout::ContentElement
| ~ContentElement ()
void | Destroy ()
ElementRef< List > | AsList () const
ElementRef< ListItem > | AsListItem () const
ElementRef< ContentNode > | AsContentNode () const
ElementRef< TextRun > | AsTextRun () const
ElementRef< Paragraph > | AsParagraph () const
ElementRef< Table > | AsTable () const
ElementRef< TableRow > | AsTableRow () const
ElementRef< TableCell > | AsTableCell () const
TextStyledElement | GetTextStyledElement ()

## Public Attributes
TRN_List | m_impl
Public Attributes inherited from pdftron::Layout::ContentElement
TRN_ContentElement | m_impl

## Friends
class | FlowDocument
class | TableCell
class | ListItem
class | ElementRef< List >

## Additional Inherited Members
Protected Member Functions inherited from pdftron::Layout::ContentNode
| ContentNode (TRN_ContentNode impl)
Protected Member Functions inherited from pdftron::Layout::ContentElement
| ContentElement (TRN_ContentElement impl)

## Detailed Description

A class representing a list in the document content tree.

Definition at line 873 of file ContentTree.h.

## Member Enumeration Documentation

enum pdftron::Layout::List::NumberFormat

Enumerator
e_none |
e_decimal |
e_lower_roman |
e_upper_roman |
e_lower_letter |
e_upper_letter |
e_ordinal |
e_ordinal_text |
e_chinese_counting |
e_chinese_counting_thousand |
e_cardinal_text |
e_decimal_zero |

Definition at line 885 of file ContentTree.h.

## Constructor & Destructor Documentation

pdftron::Layout::List::~List | ( |  | ) |

## Member Function Documentation

ListItem pdftron::Layout::List::AddItem | ( |  | ) |

Add a new list item to the list.

Returns
  The ListItem object representing the newly added item.

void pdftron::Layout::List::ContinueList | ( |  | ) |

Continues the logical continuation of a particular list, even if other non-list content items have been created since the last call to AddItem(). This method is useful when splitting a sublist and wanting to continue the new items as part of the original sublist hierarchy.

Note: Without calling ContinueList(), new list items created after a split (e.g., a split paragraph) would be added to the main list structure (above the split) based on their natural positions in the list/sublist hierarchy.

Example usage: To continue a root-level list after a split, call ContinueList() on the root-level list.

int pdftron::Layout::List::GetIndentationLevel | ( |  | ) |

Get the indentation level of the list.

Returns
  The indentation level.

TextStyledElement pdftron::Layout::List::GetLabelStyle | ( |  | ) |

Get the text style element for the list item labels.

Returns
  The TextStyledElement representing the label style.

int pdftron::Layout::List::GetListIdentifier | ( |  | ) |

Get the identifier of the list.

Returns
  The list identifier.

void pdftron::Layout::List::SetNumberFormat | ( | const NumberFormat | format | ) |

Set the number format of the list.

Parameters

  format | The number format to set for the list.

void pdftron::Layout::List::SetNumberFormat | ( | const NumberFormat | format,
|  | const UString & | suffix,
|  | bool | cascade
| ) |  |

Set the number format of the list with a custom suffix and cascade flag.

Parameters

  format | The number format to set for the list.
  suffix | The suffix to append to the list item number.
  cascade | If true, the number format will be applied to nested lists as well.

void pdftron::Layout::List::SetStartIndex | ( | int | idx | ) |

Set the start index for the list items.

Parameters

  idx | The start index value.

## Friends And Related Function Documentation

friend class ElementRef< List >
| friend

Definition at line 878 of file ContentTree.h.

friend class FlowDocument
| friend

Definition at line 875 of file ContentTree.h.

friend class ListItem
| friend

Definition at line 877 of file ContentTree.h.

friend class TableCell
| friend

Definition at line 876 of file ContentTree.h.

## Member Data Documentation

TRN_List pdftron::Layout::List::m_impl

Definition at line 968 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h